package main

import (
	"buildme"
	"log"

	"dev.hexasoftware.com/hxs/prettylog"
)

func main() {
	prettylog.Global()
	log.Println("Testing builder")

	bm := buildme.New()
	bm.AddBuilder(buildme.Type("git"), &builder.Git{})
	bm.Build("git", "http://dev.hexasoftware.com/stdio/sampleapp.git")
}
