package utils

import "io"

type nopRWCloser struct {
	io.ReadWriter
}

func (*nopRWCloser) Close() error {
	return nil
}
func NopRWCloser(rw io.ReadWriter) io.ReadWriteCloser {
	return &nopRWCloser{rw}
}

type Filer interface {
	io.Reader
	io.Writer
	io.Seeker
	io.Closer
}
